Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transform
Class RootEntityResultTransformer

    java.lang.Object
      org.hibernate.transform.BasicTransformerAdapter
          org.hibernate.transform.RootEntityResultTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer

    public final class RootEntityResultTransformer

extends BasicTransformerAdapter
implements Serializable

`ResultTransformer` implementation which limits the result tuple to only the "root entity".

Since this transformer is stateless, all instances would be considered equal. So for optimization purposes we limit it to a single, singleton `instance`.

Author:
  Gavin King, Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static RootEntityResultTransformer` | `INSTANCE`

Method Summary
`Object` | `transformTuple(Object[] tuple, String[] aliases)` Return just the root entity from the row tuple.

Methods inherited from class org.hibernate.transform.BasicTransformerAdapter
`transformList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final RootEntityResultTransformer INSTANCE

Method Detail

### transformTuple

    public Object transformTuple(Object[] tuple,
                                 String[] aliases)

  Return just the root entity from the row tuple.

  Specified by:
    `transformTuple` in interface `ResultTransformer`
  Overrides:
    `transformTuple` in class `BasicTransformerAdapter`
  Parameters:
    `tuple` - The result elements
    `aliases` - The result aliases ("parallel" array to tuple)
  Returns:
    The transformed row.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.